Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class IconRenderer

    java.lang.Object
      gov.nasa.worldwind.IconRenderer

All Implemented Interfaces:
  Disposable

    public class IconRenderer

extends Object
implements Disposable

Constructor Summary
`IconRenderer()`

Method Summary
`void` | `dispose()`
`Pedestal` | `getPedestal()`
`void` | `pick(DrawContext dc, Iterator<WWIcon> icons, Point pickPoint, Layer layer)`
`void` | `pick(DrawContext dc, WWIcon icon, Point iconPoint, Point pickPoint, Layer layer)`
`void` | `render(DrawContext dc, Iterator<WWIcon> icons)`
`void` | `render(DrawContext dc, WWIcon icon, Point iconPoint)`
`void` | `setPedestal(Pedestal pedestal)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IconRenderer

    public IconRenderer()

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### getPedestal

    public Pedestal getPedestal()

### pick

    public void pick(DrawContext dc,
                     Iterator<WWIcon> icons,
                     Point pickPoint,
                     Layer layer)

### pick

    public void pick(DrawContext dc,
                     WWIcon icon,
                     Point iconPoint,
                     Point pickPoint,
                     Layer layer)

### render

    public void render(DrawContext dc,
                       Iterator<WWIcon> icons)

### render

    public void render(DrawContext dc,
                       WWIcon icon,
                       Point iconPoint)

### setPedestal

    public void setPedestal(Pedestal pedestal)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD